Bug 172097 - Sound-juicer crashes when pressing the preferences menuitem
Sound-juicer crashes when pressing the preferences menuitem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-31 08:27 EST by David Nielsen
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-05 00:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2005-10-31 08:27:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051018 Epiphany/1.8.2

Description of problem:
I get the following trace from sound-juicer when pressing the preferences menuitem.

Thread 3 (Thread -1238619216 (LWP 2772)):
#0  0x00ab1d24 in strcmp () from /lib/libc.so.6
#1  0x08053c75 in baseuri_changed_cb (client=0x81d7130, cnxn_id=4294967295,
    entry=0x83ccb70, user_data=0x0) at sj-prefs.c:252
#2  0x08054307 in on_edit_preferences_cb (item=0x8269f20, user_data=0x0)
    at sj-prefs.c:437
#3  0x00177303 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#4  0x0016bbd8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#5  0x0017a213 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#6  0x0017b850 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#7  0x0017bbc3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#8  0x06b6b31d in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#9  0x06a97cef in gtk_menu_shell_activate_item ()
   from /usr/lib/libgtk-x11-2.0.so.0
#10 0x06a97fc1 in gtk_menu_shell_activate_item ()
   from /usr/lib/libgtk-x11-2.0.so.0
#11 0x06a8e70e in gtk_menu_reorder_child () from /usr/lib/libgtk-x11-2.0.so.0
#12 0x06a890cc in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#13 0x0016b5a5 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#14 0x0016bbd8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#15 0x0017a39f in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#16 0x0017b5c3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#17 0x0017bbc3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#18 0x06b6b4ff in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x06a87807 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x06a87c40 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x006036f3 in gdk_screen_get_setting () from /usr/lib/libgdk-x11-2.0.so.0
#22 0x002eca50 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#23 0x002efa66 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#24 0x002efd53 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#25 0x06a86f05 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x08053594 in main (argc=1, argv=0xbff641e4) at sj-main.c:1288

Thread 2 (Thread -1237865552 (LWP 2771)):
#0  0x00b03a96 in poll () from /lib/libc.so.6
#1  0x002ef8b8 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0x002efd53 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#3  0x032a786e in link_thread_io_context () from /usr/lib/libORBit-2.so.0
#4  0x003091ba in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#5  0x00a369b7 in start_thread () from /lib/libpthread.so.0
#6  0x00b0cdae in clone () from /lib/libc.so.6

Thread 1 (Thread -1208703312 (LWP 2767)):
#0  0x00ab1d24 in strcmp () from /lib/libc.so.6
#1  0x08053c75 in baseuri_changed_cb (client=0x81d7130, cnxn_id=4294967295,
    entry=0x83ccb70, user_data=0x0) at sj-prefs.c:252
#2  0x08054307 in on_edit_preferences_cb (item=0x8269f20, user_data=0x0)
    at sj-prefs.c:437
#3  0x00177303 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#4  0x0016bbd8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#5  0x0017a213 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#6  0x0017b850 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#7  0x0017bbc3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#8  0x06b6b31d in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#9  0x06a97cef in gtk_menu_shell_activate_item ()
   from /usr/lib/libgtk-x11-2.0.so.0
#10 0x06a97fc1 in gtk_menu_shell_activate_item ()
   from /usr/lib/libgtk-x11-2.0.so.0
#11 0x06a8e70e in gtk_menu_reorder_child () from /usr/lib/libgtk-x11-2.0.so.0
#12 0x06a890cc in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#13 0x0016b5a5 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#14 0x0016bbd8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#15 0x0017a39f in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#16 0x0017b5c3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#17 0x0017bbc3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#18 0x06b6b4ff in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x06a87807 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x06a87c40 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x006036f3 in gdk_screen_get_setting () from /usr/lib/libgdk-x11-2.0.so.0
#22 0x002eca50 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#23 0x002efa66 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#24 0x002efd53 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#25 0x06a86f05 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x08053594 in main (argc=1, argv=0xbff641e4) at sj-main.c:1288

The version in Rawhide is outdated, 2.12.2 is out on the stable branch of sound-juicer. This might be fixed upstream.

Version-Release number of selected component (if applicable):
sound-juicer-2.11.91-1

How reproducible:
Always

Steps to Reproduce:
1. press preferences menuitem


Actual Results:  2. crash

Expected Results:  2. ???
3. profit

Additional info:

Running Rawhide as of 31th of Oct. 2005
Comment 1 Matthias Clasen 2006-02-05 00:55:54 EST
Seems to work in current rawhide.

Note You need to log in before you can comment on or make changes to this bug.